KDE 4.7 PyKDE API Reference

- KDE's Python API

# MapThemeManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

The class that handles map themes that are locally available .

This class which is able to check for maps that are locally available. After parsing the data it only stores the name, description and path into a QStandardItemModel.

The MapThemeManager is not owned by the MarbleWidget/Map itself. Instead it is owned by the widget or application that contains MarbleWidget/Map ( usually: the ControlView convenience class )

For convenience MarbleThemeManager provides a static helper class that loads the properties of a map theme into a GeoSceneDocument object.

See also:
  GeoSceneDocument

## Signals
| themesChanged ()
## Methods
| __init__ (self, QObject parent=0)
QStringList | mapThemeIds (self)
QStandardItemModel | mapThemeModel (self)

## Signal Documentation

themesChanged | ( |  | ) |

This signal will be emitted, when the themes change.

Signal syntax:
  `QObject.connect(source, SIGNAL("themesChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QStringList mapThemeIds | ( |  | self ) |

Returns a list of all locally available map theme IDs

QStandardItemModel mapThemeModel | ( |  | self ) |

Provides a model of the locally existing themes.

This method provides a QStandardItemModel of all themes that are available via MarbleDirs.